summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorgraziano.giuliani2016-05-25 11:10:11 +0200
committergraziano.giuliani2016-05-25 11:10:11 +0200
commit4c39ac281b2db1a7fc1f550cb5750bec6613a846 (patch)
tree9af157ab0bae8ba7e496c414d486f8e801cfb99d
parent3f5208dd1c592696376f26b6ad50c006dccb473e (diff)
downloadaur-4c39ac281b2db1a7fc1f550cb5750bec6613a846.tar.gz
new upstream
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD13
2 files changed, 23 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3d8f5088971..da5cc62bf2a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,20 +1,32 @@
# Generated by mksrcinfo v8
-# Mon Mar 28 19:43:10 UTC 2016
+# Wed May 25 09:09:55 UTC 2016
pkgbase = magics++
pkgdesc = Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS.
- pkgver = 2.28.0
+ pkgver = 2.29.0
pkgrel = 1
url = https://software.ecmwf.int/wiki/display/MAGP
arch = i686
arch = x86_64
license = Apache
+ makedepends = perl-xml-parser
makedepends = gcc-fortran
- makedepends = python2
+ makedepends = swig
makedepends = python2-numpy
makedepends = cmake
- source = http://software.ecmwf.int/wiki/download/attachments/3473464/Magics-2.28.0-Source.tar.gz
+ makedepends = boost
+ makedepends = emos
+ depends = qt5-base
+ depends = proj
+ depends = fftw
+ depends = pango
+ depends = netcdf-cxx-legacy
+ depends = grib_api
+ depends = python
+ optdepends = odb_api
+ optdepends = libaec
+ source = http://software.ecmwf.int/wiki/download/attachments/3473464/Magics-2.29.0-Source.tar.gz
source = patch
- md5sums = 786231cd965e398b68bb2fbe04ca6a96
+ md5sums = db20a4d3c51a2da5657c31ae3de59709
md5sums = da04828807d7fda1d767197c6d69ec0b
pkgname = magics++
diff --git a/PKGBUILD b/PKGBUILD
index 73e6c4e3fcb..7926c1a69e2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,18 +3,18 @@
pkgname=magics++
Pkgname=Magics
-pkgver=2.28.0
+pkgver=2.29.0
_attnum=3473464
pkgrel=1
pkgdesc="Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS."
arch=('i686' 'x86_64')
url="https://software.ecmwf.int/wiki/display/MAGP"
license=('Apache')
-depends=()
-optdepends=()
-makedepends=('gcc-fortran' 'python2' 'python2-numpy' 'cmake')
+depends=('qt5-base' 'proj' 'fftw' 'pango' 'netcdf-cxx-legacy' 'grib_api' 'python')
+optdepends=('odb_api' 'libaec')
+makedepends=('perl-xml-parser' 'gcc-fortran' 'swig' 'python2-numpy' 'cmake' 'boost' 'emos')
source=(http://software.ecmwf.int/wiki/download/attachments/${_attnum}/${Pkgname}-${pkgver}-Source.tar.gz patch)
-md5sums=('786231cd965e398b68bb2fbe04ca6a96'
+md5sums=('db20a4d3c51a2da5657c31ae3de59709'
'da04828807d7fda1d767197c6d69ec0b')
build() {
@@ -29,8 +29,7 @@ build() {
-DCMAKE_CXX_COMPILER=g++ -DCMAKE_CC_COMPILER=gcc \
-DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=production \
-DCMAKE_INSTALL_DATADIR=/usr/share -DENABLE_ODB=0 \
- -DENABLE_METVIEW=1 -DENABLE_GEOTIFF=1 -DENABLE_QT5=1 \
- -DPYTHON_EXECUTABLE=/usr/bin/python2 ..
+ -DENABLE_METVIEW=1 -DENABLE_QT5=1 -DPYTHON_EXECUTABLE=/usr/bin/python2 ..
make || return 1
}